/* **************************************************************
 * dltest1.c: A dynamic linking example (1). Rather trivial, since
 *            it just re-implements strtod, but it does illustrate
 *            a few points, such as how to get arguments, in
 *            particular how to deal with string arguments.
 * ************************************************************** */

#include "rlab.h"
#include "symbol.h"
#include "mem.h"
#include "class.h"
#include "bltin.h"
#include "btree.h"
#include "util.h"
#include "mathl.h"
#include "mds.h"

#include <math.h>
#include <stdio.h>
#include <string.h>
#include <errno.h>

Ent *
RStrtod (int nargs, Datum args[])
{
  char *str;
  Ent *e, *rent;
  MDR *d;

  /* Check nargs */
  if (nargs != 1)
    rerror ("strtod: requires 1 argument");

  e = bltin_get_ent (args[0]);
  str = class_char_pointer (e);

  d = mdr_Create (1, 1);
  Mdr0 (d, 0, 0) = strtod (str, (char **) 0);

  ent_Clean (e);

  rent = ent_Create ();
  ent_SetType (rent, MATRIX_DENSE_REAL);
  ent_data (rent) = d;
  return (rent);
}
