//
//  Integrate the Van der Pol equation
//

vdpol = function ( t , x ) 
{
  xdot[1;1] = x[1] * (1 - x[2]^2) - x[2];
  xdot[2;1] = x[1];
  return xdot;
};

vdpol_out = function ( t , x )
{
  return [t; x; 2*x];
};

t0 = 0;
tf = 20
x0 = [0; 0.25];

#
# Test/demo ode78...
#

rfile ode78
printf (" Testig ode78() \n");
tic();
out78 = ode78( vdpol, t0, tf, x0  );
t = toc();

plgrid ();
pltitle ( "RLaB ODE Example (vdpol)" );
xlabel ( "Time (seconds)" );
ylabel ( "States" );
plot( out78 );
printf(" Elapsed integration time: %10.3f\n", t);
pause();

#
# Test/demo ode4...
#

rfile ode4
printf (" Testig ode4() \n");
tic();
out4 = ode4( vdpol, t0, tf, x0, vdpol_out );
printf(" Elapsed integration time: %10.3f\n", toc() );

plgrid ();
pltitle ( "RLaB ODE Example (vdpol)" );
xlabel ( "Time (seconds)" );
ylabel ( "States" );
plot( out4 );
pause();

#
# Test/demo ode4...
#

printf (" Testig ode() \n");
tic();
out = ode (vdpol, t0, tf, x0, , , , vdpol_out);
printf(" Elapsed integration time: %10.3f\n", toc() );

plgrid ();
pltitle ( "RLaB ODE Example (vdpol)" );
xlabel ( "Time (seconds)" );
ylabel ( "States" );
plot( out );
