//-------------------------------------------------------------------//

// Synopsis:	Convert ASCII decimal codes to single-character strings. 

// Syntax:	ascii ( CODE )

// Description:

//      Convert decimal values between 0 and 126 to ASCII characters. 

//      Example:

//         > for (i in 64:68) { ascii (i) }
//         @  
//         A  
//         B  
//         C  
//         D  

//-------------------------------------------------------------------//

static (ascii_set)

ascii = function ( code )
{
  if (length (code) > 1) {
    error ("ascii: argument must be a scalar string");
  }

  return ascii_set.[code];
};

ascii_set.[0] = "";
ascii_set.[10] = "\n";
ascii_set.[32] = " ";
ascii_set.[33] = "!";
ascii_set.[34] = "\"";
ascii_set.[35] = "#";
ascii_set.[36] = "$";
ascii_set.[37] = "%";
ascii_set.[38] = "&";
ascii_set.[39] = "`";
ascii_set.[40] = "(";
ascii_set.[41] = ")";
ascii_set.[42] = "*";
ascii_set.[43] = "+";
ascii_set.[44] = "'";
ascii_set.[45] = "-";
ascii_set.[46] = ".";
ascii_set.[47] = "/";
ascii_set.[48] = "0";
ascii_set.[49] = "1";
ascii_set.[50] = "2";
ascii_set.[51] = "3";
ascii_set.[52] = "4";
ascii_set.[53] = "5";
ascii_set.[54] = "6";
ascii_set.[55] = "7";
ascii_set.[56] = "8";
ascii_set.[57] = "9";
ascii_set.[58] = ":";
ascii_set.[59] = ";";
ascii_set.[60] = "<";
ascii_set.[61] = "=";
ascii_set.[62] = ">";
ascii_set.[63] = "?";
ascii_set.[64] = "@";
ascii_set.[65] = "A";
ascii_set.[66] = "B";
ascii_set.[67] = "C";
ascii_set.[68] = "D";
ascii_set.[69] = "E";
ascii_set.[70] = "F";
ascii_set.[71] = "G";
ascii_set.[72] = "H";
ascii_set.[73] = "I";
ascii_set.[74] = "J";
ascii_set.[75] = "K";
ascii_set.[76] = "L";
ascii_set.[77] = "M";
ascii_set.[78] = "N";
ascii_set.[79] = "O";
ascii_set.[80] = "P";
ascii_set.[81] = "Q";
ascii_set.[82] = "R";
ascii_set.[83] = "S";
ascii_set.[84] = "T";
ascii_set.[85] = "U";
ascii_set.[86] = "V";
ascii_set.[87] = "W";
ascii_set.[88] = "X";
ascii_set.[89] = "Y";
ascii_set.[90] = "Z";
ascii_set.[91] = "[";
ascii_set.[92] = "\\";
ascii_set.[93] = "]";
ascii_set.[94] = "^";
ascii_set.[95] = "_";
ascii_set.[96] = "`";
ascii_set.[97] = "a";
ascii_set.[98] = "b";
ascii_set.[99] = "c";
ascii_set.[100] = "d";
ascii_set.[101] = "e";
ascii_set.[102] = "f";
ascii_set.[103] = "g";
ascii_set.[104] = "h";
ascii_set.[105] = "i";
ascii_set.[106] = "j";
ascii_set.[107] = "k";
ascii_set.[108] = "l";
ascii_set.[109] = "m";
ascii_set.[110] = "n";
ascii_set.[111] = "o";
ascii_set.[112] = "p";
ascii_set.[113] = "q";
ascii_set.[114] = "r";
ascii_set.[115] = "s";
ascii_set.[116] = "t";
ascii_set.[117] = "u";
ascii_set.[118] = "v";
ascii_set.[119] = "w";
ascii_set.[120] = "x";
ascii_set.[121] = "y";
ascii_set.[122] = "z";
ascii_set.[123] = "{";
ascii_set.[124] = "|";
ascii_set.[125] = "}";
ascii_set.[126] = "~";
