//-------------------------------------------------------------------//

//  Syntax:     readstr ( FN )

//  Description:

//  Read the file FN. Treat each line of FN as a string, and return a
//  string column-vector containing the contents of FN. Each row of
//  the returned vector represents a line from FN.

//  See Also: getline, strsplt
//-------------------------------------------------------------------//

readstr = function ( FN )
{
  svec = [];
  while (class (line = getline (FN, 0)) == "string")
  {
    svec = [svec; line];
  }
  return svec;
};
