//-------------------------------------------------------------------//

// Synopsis:	Convert upper-case string elements to lower-case

// Syntax:	tolower ( STR )

// Description:

//      Convert the upper-case elements in STR to lower-case. If STR
//      contains elements within [A-Z], then they are converted to
//      [a-z]. All other string elements are left un-modified.

//-------------------------------------------------------------------//

require join

static (switch)

switch.["A"] = "a";
switch.["B"] = "b";
switch.["C"] = "c";
switch.["D"] = "d";
switch.["E"] = "e";
switch.["F"] = "f";
switch.["G"] = "g";
switch.["H"] = "h";
switch.["I"] = "i";
switch.["J"] = "j";
switch.["K"] = "k";
switch.["L"] = "l";
switch.["M"] = "m";
switch.["N"] = "n";
switch.["O"] = "o";
switch.["P"] = "p";
switch.["Q"] = "q";
switch.["R"] = "r";
switch.["S"] = "s";
switch.["T"] = "t";
switch.["U"] = "u";
switch.["V"] = "v";
switch.["W"] = "w";
switch.["X"] = "x";
switch.["Y"] = "y";
switch.["Z"] = "z";

tolower = function ( X )
{
  #
  # Loop over each string in the array X
  #

  for (i in 1:X.n) 
  { 
    #
    # Split into single characters...
    #

    tmpstr = strsplt(X[i]); 

    for (j in 1:tmpstr.n) 
    { 
      if (exist (tmp = switch.[tmpstr[j]]))
      {
	# Do the conversion...
	tmpstr[j] = tmp;
      }
    }
    X[i] = join(tmpstr);
  }
  return X;
}
