//-------------------------------------------------------------------//

// Synopsis:	Convert lower-case string elements to upper-case

// Syntax:	toupper ( STR )

// Description:

//      Convert the lower-case elements in STR to upper-case. If STR
//      contains elements within [a-z], then they are converted to
//      [A-Z]. All other string elements are left un-modified.

//-------------------------------------------------------------------//

require join

static (switch)

switch.["a"] = "A";
switch.["b"] = "B";
switch.["c"] = "C";
switch.["d"] = "D";
switch.["e"] = "E";
switch.["f"] = "F";
switch.["g"] = "G";
switch.["h"] = "H";
switch.["i"] = "I";
switch.["j"] = "J";
switch.["k"] = "K";
switch.["l"] = "L";
switch.["m"] = "M";
switch.["n"] = "N";
switch.["o"] = "O";
switch.["p"] = "P";
switch.["q"] = "Q";
switch.["r"] = "R";
switch.["s"] = "S";
switch.["t"] = "T";
switch.["u"] = "U";
switch.["v"] = "V";
switch.["w"] = "W";
switch.["x"] = "X";
switch.["y"] = "Y";
switch.["z"] = "Z";

toupper = function ( X )
{
  #
  # Loop over each string in the array X
  #

  for (i in 1:X.n) 
  { 
    #
    # Split into single characters...
    #

    tmpstr = strsplt(X[i]); 

    for (j in 1:tmpstr.n) 
    { 
      if (exist (tmp = switch.[tmpstr[j]]))
      {
	# Do the conversion...
	tmpstr[j] = tmp;
      }
    }
    X[i] = join(tmpstr);
  }
  return X;
}
